stages:
  - build-src
  - go-test
  - go-fmt

  

build-src:
  stage: build-src
  image: debian:buster
  except:
    - master
    - tags
  before_script:
    - bash $CI_PROJECT_DIR/scripts/gitlab-ci-build-prescript
  script:
    - export GOPATH=/go
    - export PATH=$PATH:/go/bin
    - cd /go/src/$CI_PROJECT_NAME
    - make devel
    - make prod

go-test:
  stage: go-test
  image: golang:1.14
  services:
    - postgres:9.6
  variables:
    POSTGRES_USER: postgres
    POSTGRES_PASSWORD: postgres
    POSTGRES_DB: commento_test
    COMMENTO_POSTGRES: postgres://postgres:postgres@localhost/commento_test?sslmode=disable
  except:
    - master
    - tags
  before_script:
    - mkdir -p /go/src /go/bin /go/pkg
    - export GOPATH=/go
    - export PATH=$PATH:/go/bin
    - ln -s $CI_PROJECT_DIR /go/src/$CI_PROJECT_NAME
  script:
    - cd /go/src/$CI_PROJECT_NAME
    - make test

go-fmt:
  stage: go-fmt
  image: golang:1.14
  script:
    - cd api
    - test -z $(go fmt)
